{
  "extends": "@vue/tsconfig/tsconfig.web.json",
  "include": ["env.d.ts", "src/**/*", "src/**/*.vue", "src/types/**/*.d.ts"],
  "compilerOptions": {
    "forceConsistentCasingInFileNames": false, // ⚠️ 禁用大小写检查
    "allowJs": true,
    "baseUrl": ".",
    "types": ["node", "unplugin-vue-define-options/macros-global"],
    "paths": {
      "@/*": ["./src/*"],
      "_c/*": ["./src/components/*"]
    },
    "skipLibCheck": true,
    "strict": false,
    "noEmit": true,
	"noImplicitAny": false,
    "noEmitOnError": false
  },

  "references": [
    {
      "path": "./tsconfig.node.json"
    }
  ]
}
